org.apache.http.client

## Interface CookieStore

- All Known Implementing Classes:
    BasicCookieStore

      public interface CookieStore

  This interface represents an abstract store for `Cookie` objects.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCookie(Cookie cookie)` Adds an `Cookie`, replacing any existing equivalent cookies.
    `void` | `clear()` Clears all cookies.
    `boolean` | `clearExpired(Date date)` Removes all of `Cookie`s in this store that have expired by the specified `Date`.
    `List<Cookie>` | `getCookies()` Returns all cookies contained in this store.

- - ### Method Detail

    - #### addCookie

          void addCookie(Cookie cookie)

      Adds an `Cookie`, replacing any existing equivalent cookies. If the given cookie has already expired it will not be added, but existing values will still be removed.
      Parameters:
        `cookie` - the `cookie` to be added

    - #### getCookies

          List<Cookie> getCookies()

      Returns all cookies contained in this store.
      Returns:
        all cookies

    - #### clearExpired

          boolean clearExpired(Date date)

      Removes all of `Cookie`s in this store that have expired by the specified `Date`.
      Returns:
        true if any cookies were purged.

    - #### clear

          void clear()

      Clears all cookies.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.